Bug 967545 - unable to log in, 100% CPU load
unable to log in, 100% CPU load
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 08:08 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 13:00:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-05-27 08:08:05 EDT
I installed RHEL7 0522-Workstatation compose today, after trying to log in as a regular user through GDM I only see gray background a cursor. The virt host this is running in shows 100% CPU load for the virt machine with the RHEL7.

switching into tty2 and checking 'top' output, there is gnome-shell taking 95% of the CPU.
Comment 2 davidshumway 2013-08-10 22:21:36 EDT
Upgrading from F17 to F19 using FedUp. Has similar behavior. With one monitor it is OK. Second monitor causes gnome-shell to use CPU at about 150% (dual core machine). Seems to last indefinitely. Removing external monitor causes behavior to disappear. Seems to occur in both Gnome and Gnome classic. Version 3.8.4. Did not notice this happening in F17.

With one monitor gnome-shell uses ~20% CPU. Switch to LXDE resolves the issue. Two monitors runs as expected. Process "X" runs at about ~2% CPU, ~95% idle. Integrated Intel 945GM.
Comment 3 davidshumway 2013-08-10 22:48:06 EDT
Whoops. Enabled KDM before switching to LXDE. Before this LXDE may have had similar problem.

yum install kdm;systemctl enable kdm.service;systemctl disable gdm.service;
Comment 4 Need Real Name 2014-01-03 16:47:13 EST
Possibly related to https://bugzilla.gnome.org/show_bug.cgi?id=719418
Comment 5 Matthias Clasen 2014-02-25 10:59:50 EST
has this been reproduced with rhel7 beta or newer ?
Comment 6 Ales Kozumplik 2014-02-25 12:31:44 EST
No, haven't seen it since, only that one time. Completely fine to close this.

Note You need to log in before you can comment on or make changes to this bug.